wok rev 21864

updated scilab (5.5.2 -> 6.0.2)
author Hans-G?nter Theisgen
date Fri Sep 20 17:42:35 2019 +0100 (9 months ago)
parents d310b6c488c0
children 11cb94e92478
files scilab/receipt
line diff
     1.1 --- a/scilab/receipt	Thu Sep 19 16:26:43 2019 +0100
     1.2 +++ b/scilab/receipt	Fri Sep 20 17:42:35 2019 +0100
     1.3 @@ -1,28 +1,42 @@
     1.4  # SliTaz package receipt.
     1.5  
     1.6  PACKAGE="scilab"
     1.7 -VERSION="5.5.2"
     1.8 +VERSION="6.0.2"
     1.9  CATEGORY="office"
    1.10  SHORT_DESC="Open source software for numerical computation."
    1.11  MAINTAINER="pascal.bellard@slitaz.org"
    1.12  LICENSE="CECILL"
    1.13 +WEB_SITE="https://www.scilab.org/"
    1.14 +
    1.15  TARBALL="$PACKAGE-$VERSION-src.tar.gz"
    1.16 -WEB_SITE="http://www.scilab.org/"
    1.17  WGET_URL="${WEB_SITE}download/$VERSION/$TARBALL"
    1.18  
    1.19 -DEPENDS="libgfortran tk curl blas lapack hdf5 pcre fftw libxml2 gcc-lib-math \
    1.20 -arpack-ng matio"
    1.21 -BUILD_DEPENDS="pkg-config gfortran hdf5-dev ocaml fftw-dev libxml2-dev \
    1.22 -gettext blas lapack curl-dev tcl-dev tk-dev xorg-dev ncursesw-dev \
    1.23 -arpack-ng-dev matio-dev"
    1.24 +DEPENDS="arpack-ng blas curl eigen fftw gcc83-lib-base gcclib-math hdf5 \
    1.25 +	lapack libgfortran libxml2 matio pcre tk"
    1.26 +BUILD_DEPENDS="arpack-ng-dev blas curl-dev eigen fftw-dev gcc83 gfortran \
    1.27 +	hdf5-dev gettext lapack libxml2-dev matio-dev ncursesw-dev \
    1.28 +	ocaml pkg-config tcl-dev tk-dev xorg-dev"
    1.29  
    1.30  # Rules to configure and make the package.
    1.31  compile_rules()
    1.32  {
    1.33 -	export LDFLAGS="$LDFLAGS -ltinfo"
    1.34 -	./configure --prefix=/usr \
    1.35 -		--without-javasci --without-gui --disable-build-help \
    1.36 -		--without-umfpack \
    1.37 +	export	CC=gcc-83
    1.38 +	export	CXX=g++-83
    1.39 +	export	LDFLAGS="$LDFLAGS -ltinfo"
    1.40 +	export	BLAS_LIBS="/usr/lib/libblas.so"
    1.41 +	export	BLAS_CFLAGS=" "
    1.42 +
    1.43 +	# 6.0.2 without-arpack-ng to avoid configure error:
    1.44 +	# ARPACK library found, but seems not to work properly.
    1.45 +	# Please make sure you are using arpack-ng
    1.46 +	./configure				\
    1.47 +		--prefix=/usr			\
    1.48 +		--without-arpack-ng		\
    1.49 +		--with-blas-library=/usr/lib	\
    1.50 +		--without-javasci		\
    1.51 +		--without-gui			\
    1.52 +		--disable-build-help		\
    1.53 +		--without-umfpack		\
    1.54  		$CONFIGURE_ARGS &&
    1.55  	make all &&
    1.56  	make DESTDIR=$DESTDIR install